Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.flash
Class NorFlashSectorStateList

    java.lang.Object
      com.sun.squawk.flash.NorFlashSectorStateList

All Implemented Interfaces:
  INorFlashSectorStateList

    public class NorFlashSectorStateList

extends Object
implements INorFlashSectorStateList

Field Summary
`protected INorFlashSectorState` | `head`
`protected int` | `size`
`protected INorFlashSectorState` | `tail`

Constructor Summary
`NorFlashSectorStateList()`

Method Summary
`void` | `addLast(INorFlashSectorState sectorState)`
`INorFlashSectorState` | `consumeFirst()`
`INorFlashSectorState` | `getFirst()`
`void` | `remove(INorFlashSectorState toRemove)`
`int` | `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### head

    protected INorFlashSectorState head

### tail

    protected INorFlashSectorState tail

### size

    protected int size

Constructor Detail

### NorFlashSectorStateList

    public NorFlashSectorStateList()

Method Detail

### addLast

    public void addLast(INorFlashSectorState sectorState)

  Specified by:
    `addLast` in interface `INorFlashSectorStateList`

### consumeFirst

    public INorFlashSectorState consumeFirst()

  Specified by:
    `consumeFirst` in interface `INorFlashSectorStateList`

### getFirst

    public INorFlashSectorState getFirst()

  Specified by:
    `getFirst` in interface `INorFlashSectorStateList`

### remove

    public void remove(INorFlashSectorState toRemove)

  Specified by:
    `remove` in interface `INorFlashSectorStateList`

### size

    public int size()

  Specified by:
    `size` in interface `INorFlashSectorStateList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"